%config_2

\lstdefinestyle{consola}
  {basicstyle=\bf\ttfamily,backgroundcolor=\color{gray75},frameround=tttt,basewidth=0.50em,frame=single}
	% https://gist.github.com/emir-munoz/ae2261f73b112c715b83

\lstdefinestyle{exemple_vert_clair}
    {basicstyle=\footnotesize\ttfamily,
    backgroundcolor=\color{green!5},
    rulecolor=\color{green!40!black},
    frameround=tttt,
    basewidth=0.50em,
    frame=single,
    emph={},emphstyle=\underbar,  
    		% ne marche plus avec le escapeinside ci-dessous
    escapeinside={(*}{*)}, % https://tex.stackexchange.com/questions/299401/bold-just-one-line-inside-of-lstlisting
}

\lstdefinestyle{definition_rouge_clair}
    {basicstyle=\footnotesize\ttfamily,
    backgroundcolor=\color{red!5},
    rulecolor=\color{red!40!black},
    frameround=tttt,
    basewidth=0.50em,
    frame=single,
    emph={git,docker},emphstyle=\underbar,
    escapeinside={(*}{*)}
}

\newcommand\diapoBidon[1]{\begin{frame} \frametitle{#1} \blinditemize \end{frame}}

%\newcommand\myframe{\begin{frame} \frametitle{\thesection{} -  \secname  (\subsecname)} \blinditemize \end{frame}}
\newenvironment{myframe}{
	\begin{frame}
	\frametitle{\subsecname}
}{
	\end{frame}
}
\newenvironment{myframe-NOHANDOUT}{
	\begin{frame}<handout:0>
	\frametitle{\subsecname}
}{
	\end{frame}
}

% https://tex.stackexchange.com/questions/11328/beamers-fragile-frame-as-default
% https://tex.stackexchange.com/questions/89276/insert-bash-code-with-coloration-into-my-latex-report
\newenvironment{xframe}[1][]
  {\begin{frame}[fragile,environment=xframe,#1] \frametitle{\subsecname}}
  {\end{frame}}
\newenvironment{xframe-NOHANDOUT}[1][]
  {\begin{frame}<beamer>[fragile,environment=xframe,#1] \frametitle{\subsecname}}
  {\end{frame}}

  
\renewcommand{\partname}{Partie}